=== debian/changelog ===
python-psutil (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 14:23:41 -0500

python-psutil (5.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * New upstream release
  * d/copyright: Changed licence shortname from BSD to BSD-3-clause
  * Bumped debhelper compat version to 10
  * d/watch: Use https
  * Enabled autopkgtest-pkg-python testsuite

 -- Sandro Tosi <morph@debian.org>  Sun, 11 Dec 2016 17:46:55 -0500

python-psutil (4.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Oct 2016 15:56:41 -0400
