=== debian/changelog ===
python-psutil (5.4.2-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: double-free via refcount mishandling
    - debian/patches/CVE-2019-18874-1.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_linux.c.
    - debian/patches/CVE-2019-18874-2.patch: use Py_CLEAR instead of
      Py_DECREF in psutil/_psutil_posix.c.
    - CVE-2019-18874

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 22 Nov 2019 10:17:21 -0500

python-psutil (5.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.1.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Dec 2017 21:10:10 -0500

python-psutil (5.4.1-1) unstable; urgency=medium

  * New upstream release; Closes: #881602
  * debian/control
    - bump Standards-Version to 4.1.1 (no changes needed)
    - remove all Priority: extra
    - move to python3-sphinx
    - add python3-sphinx-rtd-theme to b-d, needed for doc
  * debian/rules
    - use upstream Makefile to run tests
    - build doc with python3

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Nov 2017 20:51:53 -0500
