=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python-sphinx (>= 1.0.7+dfsg), python-ipaddress, python-mock
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
+Standards-Version: 4.1.2
 XS-Python-Version: all
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
@@ -26,7 +27,6 @@
 
 Package: python-psutil-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (debug)
@@ -55,7 +55,6 @@
 
 Package: python3-psutil-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, python3-psutil (= ${binary:Version}), python3-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (Python3 debug)
