=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 		$$python setup.py build; \
 		$$python-dbg setup.py build; \
 	done
-	$(MAKE) -C docs html
+	$(MAKE) -C docs html PYTHON=python3
 
 override_dh_auto_install:
 	set -e ; \
@@ -32,10 +32,10 @@
 	-for python in $(PY2VERS) $(PY3VERS); do \
 		echo "running tests on "$$python ; \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
+		$(MAKE) PYTHONPATH=$(CURDIR)/$$LIB PYTHON=$$python test ; \
 		echo "running tests on "$$python-dbg ; \
 		LIB=$$($$python-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python-dbg $(CURDIR)/$$LIB/psutil/tests/runner.py ; \
+		$(MAKE) PYTHONPATH=$(CURDIR)/$$LIB PYTHON=$$python-dbg test ; \
 	done
 endif
