=== debian/changelog ===
python-psutil (5.4.6-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:55:04 +0000

python-psutil (5.4.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/patches/*.patch
    - rebase for new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 20:46:43 -0400
