=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 XS-Python-Version: all
-X-Python3-Version: >= 3.2
 Homepage: https://github.com/giampaolo/psutil
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-psutil.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-psutil.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-psutil
 Testsuite: autopkgtest-pkg-python
 
 Package: python-psutil
