## python-psutil 5.5.1

=== Makefile ===
--- 
+++ 
@@ -210,7 +210,7 @@
 	${MAKE} sdist
 	$(PYTHON) setup.py sdist upload
 
-upload-win-wheels:  ## Upload wheels in dist/* directory on PYPI.
+upload-win-wheels:  ## Upload wheels in dist/* directory on PyPI.
 	$(PYTHON) -m twine upload dist/*.whl
 
 # --- others
@@ -233,7 +233,7 @@
 
 release:  ## Create a release (down/uploads tar.gz, wheels, git tag release).
 	${MAKE} pre-release
-	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PYPI
+	$(PYTHON) -m twine upload dist/*  # upload tar.gz and Windows wheels on PyPI
 	${MAKE} git-tag-release
 
 print-announce:  ## Print announce of new release.
