=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-psutil
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 10), python-all-dev, python3-all-dev, python-all-dbg, python3-all-dbg, dh-python, procps, python3-sphinx, python-ipaddress, python-mock, python3-sphinx-rtd-theme
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 XS-Python-Version: all
 Homepage: https://github.com/giampaolo/psutil
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-psutil.git
@@ -26,7 +27,7 @@
 Package: python-psutil-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Depends: ${misc:Depends}, python-psutil (= ${binary:Version}), python2-dbg, ${shlibs:Depends}
 Description: module providing convenience functions for managing processes (debug)
  psutil is a module providing an interface for retrieving information on
  running processes and system utilization (CPU, memory) in a portable way
