## python-psutil 5.6.7

=== debian/changelog ===
python-psutil (5.6.7-2~mx19+1) mx; urgency=medium

  * Repackage of upstream release for MX-19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

python-psutil (5.6.7-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938050

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Jan 2020 23:13:29 -0500

python-psutil (5.6.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * New upstream release, fix CVE-2019-18874; Closes: #944605
  * debian/patches/0001-dont-depend-on-install-when-running-tests.patch
    - refresh patch to new upstream code

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Nov 2019 21:43:56 -0500

python-psutil (5.6.1-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/0002-pass-PYTHONPATH-to-the-test-runner.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Mar 2019 19:21:53 -0400
