## python-psutil 5.7.0

=== debian/changelog ===
python-psutil (5.7.0-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 20 Apr 2020 10:00:03 -0400
